# Load Track Status Webhook

Receives status updates for load tracks.

Endpoint: POST /loadtrack/statusupdate
Version: 1.0.1

## Request fields (application/json):

  - `partnerId` (integer)
    This is a unique integer id that is assigned to the Partner system to identify the Partner system by the Load Track system. This has to be sent on each webservice call.
    Example: 123

  - `accountId` (string)
    Unique identifier of the Agent in the Broker System that entered the Load Track. This accountId has to be encrypted with the shared secret of the partner. This shared secret will be shared during the integration process.
    Example: abcd123

  - `loadTrackId` (integer)
    The unique identifier of the load in TT system.
    Example: 1234

  - `loadTrackExternalId` (integer)
    The unique identifier of the Load in the Partner system.
    Example: 12345

  - `ltExternalId` (string)
    Example: 123456

  - `carrierExternalId` (string)
    The unique identifier of the carrier in the Partner System
    Example: null

  - `driverPhone` (string)
    Ten-digit cell phone number of driver that will haul the load.
    Example: 1231231234

  - `loadNumber` (string)
    Load Number that is specified by the Broker. This could be the pro number.
    Example: 1234

  - `eventType` (string)
    Event type of the webhook being sent; can be LocationUpdate, StatusUpdate, DocumentUpdate, or CommentUpdate.
    Example: StatusUpdate

  - `latestLocation` (object)

  - `latestLocation.lat` (string)
    Latitude of current loctation of load.
    Example: 41.788933

  - `latestLocation.lon` (string)
    Longitude of current location of load.
    Example: -86.945915

  - `latestLocation.accuracy` (number)
    Example: 4.745

  - `latestLocation.timestampSec` (string)
    Timestamp of when location update was given in seconds of current timezone.
    Example: 01/18/2023 17:32:48 CST

  - `latestLocation.timestamp` (string)
    Timestamp of when location update was given of current timezone.
    Example: 01/18/2023 17:32 CST

  - `latestLocation.timestampUTC` (string)
    Timestamp of when location update was given converted to UTC time.
    Example: 01/18/2023 23:32:48 UTC

  - `latestLocation.provider` (string)
    Source of where location update was pulled from.
    Example: APP

  - `latestLocation.city` (string)
    City of current location of load.
    Example: Oak Creek

  - `latestLocation.state` (string)
    State of current location of load.
    Example: WI

  - `latestLocation.country` (string)
    Country of current location of load.
    Example: USA

  - `latestStatus` (object)
    This object is used to send main statuses on a load.

  - `latestStatus.id` (integer)
    Unique identifier of latestStatus object.
    Example: 1234

  - `latestStatus.location` (object)

  - `latestStatus.location.lat` (string)
    Latitude of load when latestStatus was sent.
    Example: 38.6187744

  - `latestStatus.location.lon` (string)
    Longtitude of load when latestStatus was sent.
    Example: -86.074348

  - `latestStatus.location.accuracy` (number)
    Example: 5.5409

  - `latestStatus.timestamp` (string)
    Timestamp when latestStatus was sent.
    Example: 01/18/2023 18:43 EST

  - `latestStatus.timestampSec` (string)
    Timestamp of when latestStatus was sent in seconds.
    Example: 01/18/2023 18:43:34 EST

  - `latestStatus.timestampUTC` (string)
    Timestamp of when latestStatus was sent converted to UTC.
    Example: 01/18/2023 23:43:34 UTC

  - `latestStatus.name` (string)
    Name of the latestStatus sent.
    Example: Arrived at destination

  - `latestStatus.code` (string)
    Code of latestStatus being sent.
    Example: DE

  - `latestStatus.stopExternalId` (string)
    Unique identifier of stop in the partner system.
    Example: 1234

  - `latestStatus.stopOrderNumber` (integer)
    When this stop takes place in the load.
    Example: 2

  - `status` (object)
    This object is used to send all statuses on a load.

  - `status.id` (integer)
    Unique identifier of status object.
    Example: 1234

  - `status.location` (object)

  - `status.location.lat` (string)
    Latitude of load when status object is sent.
    Example: 38.6187744

  - `status.location.lon` (string)
    Longitude of load when status object is sent.
    Example: -86.074348

  - `status.location.accuracy` (number)
    Example: 5.5409

  - `status.timestamp` (string)
    Timestamp when status object is sent.
    Example: 01/18/2023 18:43 EST

  - `status.timestampSec` (string)
    Timestamp of when status object is sent in seconds.
    Example: 01/18/2023 18:43:34 EST

  - `status.timestampUTC` (string)
    Timestamp of when status object is sent converted to UTC time.
    Example: 01/18/2023 23:43:34 UTC

  - `status.name` (string)
    Name or description status object being sent.
    Example: Driver added signature for Consignee signature at Chandler, AZ 85225

  - `status.code` (string)
    Code for status object being sent.
    Example: AC

  - `status.stopExternalId` (string)
    Unique identifier of stop in partner system.
    Example: 1234

  - `status.stopOrderNumber` (integer)
    When this stop takes place in the load.
    Example: 2

  - `status.extras` (object)
    Additional extras included with status if applicable.

  - `status.extras.n` (string)
    Name of the completed action
    Example: Consignee signature

  - `status.extras.v` (string)
    Completed action value or uploaded doc/image/signature
    Example: https://assets.truckertools.com/images/tt-action-scan-docs/actionSignatureImages/2bb3-12345JS1JS-409A54CB-8233-42BE-A76B-12AF6CDB575E.jpg

  - `driver` (object)

  - `driver.name` (string)
    Example: John Doe

  - `driver.phoneNumber` (string)
    Example: 1234567890

## Response 200:

  - `200` (unknown)
    OK

